Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRFillDatasetRun

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillDatasetRun

All Implemented Interfaces:
  java.lang.Cloneable, JRCloneable, JRDatasetRun

Direct Known Subclasses:
  FillDatasetRun

    public class JRFillDatasetRun

extends java.lang.Object
implements JRDatasetRun

Class used to instantiate sub datasets.

Version:
  $Id: JRFillDatasetRun.java 3926 2010-07-22 13:53:50Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`protected JRExpression` | `connectionExpression`
`protected JRFillDataset` | `dataset`
`protected JRExpression` | `dataSourceExpression`
`protected JRBaseFiller` | `filler`
`protected JRDatasetParameter[]` | `parameters`
`protected JRExpression` | `parametersMapExpression`

Constructor Summary
`protected` | `JRFillDatasetRun(JRBaseFiller filler, JRDatasetRun datasetRun, JRFillDataset dataset)`
`` | `JRFillDatasetRun(JRBaseFiller filler, JRDatasetRun datasetRun, JRFillObjectFactory factory)` Construct an instance for a dataset run.

Method Summary
`protected void` | `checkInterrupted()`
`java.lang.Object` | `clone()`
`protected void` | `copyConnectionParameter(java.util.Map parameterValues)`
`protected void` | `detail()`
`void` | `evaluate(JRFillElementDataset elementDataset, byte evaluation)` Instantiates and iterates the sub dataset for a chart dataset evaluation.
`JRExpression` | `getConnectionExpression()` Returns the DB connection expression.
`protected JRFillDataset` | `getDataset()`
`java.lang.String` | `getDatasetName()` Returns the sub dataset name.
`JRExpression` | `getDataSourceExpression()` Returns the data source expression.
`JRDatasetParameter[]` | `getParameters()` Returns the list of parameter values.
`JRExpression` | `getParametersMapExpression()` Returns the parameters map expression.
`protected void` | `group()`
`protected void` | `init()`
`protected void` | `iterate()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filler

    protected final JRBaseFiller filler

### dataset

    protected final JRFillDataset dataset

### parametersMapExpression

    protected JRExpression parametersMapExpression

### parameters

    protected JRDatasetParameter[] parameters

### connectionExpression

    protected JRExpression connectionExpression

### dataSourceExpression

    protected JRExpression dataSourceExpression

Constructor Detail

### JRFillDatasetRun

    public JRFillDatasetRun(JRBaseFiller filler,
                            JRDatasetRun datasetRun,
                            JRFillObjectFactory factory)

  Construct an instance for a dataset run.

  Parameters:
    `filler` - the filler
    `datasetRun` - the dataset run
    `factory` - the fill object factory

### JRFillDatasetRun

    protected JRFillDatasetRun(JRBaseFiller filler,
                               JRDatasetRun datasetRun,
                               JRFillDataset dataset)

Method Detail

### evaluate

    public void evaluate(JRFillElementDataset elementDataset,
                         byte evaluation)
                  throws JRException

  Instantiates and iterates the sub dataset for a chart dataset evaluation.

  Parameters:
    `elementDataset` - the chart dataset
    `evaluation` - the evaluation type
  Throws:
    `JRException`

### copyConnectionParameter

    protected void copyConnectionParameter(java.util.Map parameterValues)

### iterate

    protected void iterate()
                    throws JRException

  Throws:
    `JRException`

### checkInterrupted

    protected void checkInterrupted()

### group

    protected void group()
                  throws JRException,
                         JRScriptletException

  Throws:
    `JRException`
    `JRScriptletException`

### init

    protected void init()
                 throws JRScriptletException,
                        JRException

  Throws:
    `JRScriptletException`
    `JRException`

### detail

    protected void detail()
                   throws JRScriptletException,
                          JRException

  Throws:
    `JRScriptletException`
    `JRException`

### getDatasetName

    public java.lang.String getDatasetName()

  Description copied from interface: `JRDatasetRun`
  Returns the sub dataset name.

  Specified by:
    `getDatasetName` in interface `JRDatasetRun`
  Returns:
    the sub dataset name

### getParametersMapExpression

    public JRExpression getParametersMapExpression()

  Description copied from interface: `JRDatasetRun`
  Returns the parameters map expression.

  The result of this expression is used as the parameters map when instantiating the dataset.

  Specified by:
    `getParametersMapExpression` in interface `JRDatasetRun`
  Returns:
    the parameters map expression

### getParameters

    public JRDatasetParameter[] getParameters()

  Description copied from interface: `JRDatasetRun`
  Returns the list of parameter values.

  Specified by:
    `getParameters` in interface `JRDatasetRun`
  Returns:
    the list of parameter values

### getConnectionExpression

    public JRExpression getConnectionExpression()

  Description copied from interface: `JRDatasetRun`
  Returns the DB connection expression.

  The result of this expression is used as the DB connection when instantiating the dataset.

  Specified by:
    `getConnectionExpression` in interface `JRDatasetRun`
  Returns:
    the DB connection expression

### getDataSourceExpression

    public JRExpression getDataSourceExpression()

  Description copied from interface: `JRDatasetRun`
  Returns the data source expression.

  The result of this expression is used as the data source when instantiating the dataset.

  Specified by:
    `getDataSourceExpression` in interface `JRDatasetRun`
  Returns:
    the data source expression

### getDataset

    protected JRFillDataset getDataset()

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com